com.comtrade.ecm.engine.config

## Class ConfigurationManager

- java.lang.Object
- - com.comtrade.ecm.engine.config.ConfigurationManager

-     public class ConfigurationManager
      extends java.lang.Object

  Configuration information provider for the rest of the library.
  As soon as it receives (any) request for configuration data, it loads them, process them and (later on) just responds on subsequent requests.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `dump()`
    `static <T extends Nameable> T` | `getObject(java.lang.Class<T> clazz, java.lang.String name)`
    `static <T> java.util.List<T>` | `getObjects(java.lang.Class<T> clazz)`
    `static java.lang.String` | `getParameterValue(java.lang.String key)`
    `static java.util.Collection<java.lang.String>` | `getParameterValues(java.lang.String key)`
    `static java.lang.String` | `getService(java.lang.Class<?> clazz)`
    `static java.lang.String` | `getService(java.lang.String className)`
    `static java.util.Map<java.lang.String,java.lang.String>` | `getServices()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getParameterValue

          public static java.lang.String getParameterValue(java.lang.String key)

    - #### getParameterValues

          public static java.util.Collection<java.lang.String> getParameterValues(java.lang.String key)

    - #### getService

          public static java.lang.String getService(java.lang.Class<?> clazz)

    - #### getService

          public static java.lang.String getService(java.lang.String className)

    - #### getServices

          public static java.util.Map<java.lang.String,java.lang.String> getServices()

    - #### getObjects

          public static <T> java.util.List<T> getObjects(java.lang.Class<T> clazz)

    - #### getObject

          public static <T extends Nameable> T getObject(java.lang.Class<T> clazz,
                                                         java.lang.String name)

    - #### dump

          public static java.lang.String dump()